%global debug_package %{nil}
%define _buildshell /bin/bash

Name:     boringssl
Version:  0.20250514.0
Release:  2%{?dist}

Summary:  Fork of OpenSSL that is designed to meet Google's needs
License:  Apache-2.0
URL:      https://%{name}.googlesource.com/%{name}/
Source:   https://%{name}.googlesource.com/%{name}/+archive/refs/tags/%{version}.tar.gz

#Requires:
BuildRequires: cmake cmake-data extra-cmake-modules
BuildConflicts: ccache

%description

%prep
md5sum -c <<<"ebc2511a9fec3e7f6992800baf3a08d9  %{_sourcedir}/%{version}.tar.gz"
%setup -q -c

%build
export CCACHE_DISABLE=1
sed -i "s/-Werror//g" CMakeLists.txt
C=(
	cmake
	-G Ninja
	#-G "Unix Makefiles" -DCMAKE_VERBOSE_MAKEFILE=1
	-S .
	-DBUILD_TESTING=0
	-DCMAKE_BUILD_TYPE=Debug
	-DCMAKE_INSTALL_LIBDIR:PATH=lib64
	-DCMAKE_INSTALL_PREFIX=/opt/%{name}
	-DCMAKE_POSITION_INDEPENDENT_CODE=on
)
"${C[@]}" -B build.shared -DBUILD_SHARED_LIBS=1
#"${C[@]}" -B build.static
cmake --build build.shared
#cmake --build build.static

%install
cmake --install build.shared --prefix %{buildroot}/opt/%{name}
cd $_/lib
ln -sv ../lib64/* ./

%files
/opt/%{name}

%changelog
